USE [Utility]
GO

CREATE TABLE [dbo].[Environment](
	[EnvironmentID] [INT] NOT NULL,
	[Name] [VARCHAR](25) NULL,
 CONSTRAINT [PKEnvironment] PRIMARY KEY CLUSTERED 
(
	[EnvironmentID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[ReportStandard](
	[ReportStandardID] [int] NOT NULL,
	[EnvironmentID] [int] NOT NULL,
	[DefaultLogoLocation] [varchar](1024) NULL,
	[DefaultLogo] [varbinary](max) NULL,
	[isActive] [bit] NOT NULL,
 CONSTRAINT [PKReportStandard] PRIMARY KEY CLUSTERED 
(
	[ReportStandardID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/* **************************************************************
Purpose:	Returns the Report Standards used by the reports.
Sample:    
			exec GetReportStandards
Author:     Mickey Stuewe
Date:       1/29/2013
*************************************************************** */
CREATE PROC [dbo].[GetReportStandards]
AS
	SET NOCOUNT ON;

	SELECT
		rs.EnvironmentID
		,e.Name
		,rs.DefaultLogoLocation
		,rs.DefaultLogo
	FROM 
		ReportStandard as rs
		JOIN Environment as e on rs.EnvironmentID = e.EnvironmentID
	WHERE
		isActive = 1;
		  
	SET NOCOUNT OFF;

GO

INSERT INTO [dbo].[Environment] ([EnvironmentID], [Name]) VALUES (1, 'Developement')
INSERT INTO [dbo].[Environment] ([EnvironmentID], [Name]) VALUES (2, 'QA')
INSERT INTO [dbo].[Environment] ([EnvironmentID], [Name]) VALUES (3, 'Production')
INSERT INTO [dbo].[Environment] ([EnvironmentID], [Name]) VALUES (4, 'Demo')

-- Insert your values for the ReportStandard table too.